Список приложений (с пагинацией)
GET
/applicationsКонтракт
Параметр | Значение |
|---|---|
| Раздел | applications |
| Авторизация | CookieAuth |
| Принимает | не требуется |
| Возвращает | application/json |
Параметры
6 параметров
Имя | Где | Обязательный | Тип | Описание |
|---|---|---|---|---|
input | query | нет | string | Строка поиска |
group_id | query | нет | string | Фильтр по ID группы |
count | query | да | integer | Размер страницы |
page | query | да | integer | Номер страницы, начиная с 1 |
key | query | да | string | Поле сортировки |
order | query | да | enum(asc, desc) | Направление сортировки |
"asc"
Ответы
4 ответов
Статус | Описание | Тип |
|---|---|---|
200 | Успешный ответ | object |
400 | Некорректные параметры запроса | object |
401 | Не авторизован | object |
500 | Внутренняя ошибка сервера | object |
{ "cursor": { "count": 0, "currentPage": 0, "totalPages": 0, "totalRows": 0 }, "data": [ { "allowPerSessionSpeed": true, "baseBps": 0, "basePps": 0, "clientIp": "<string>", "createdAt": "<string>", "defaultSpeedMode": "<string>", "defaultTimeout": 0, "defaultUsers": 0, "description": "<string>", "followTimestamps": true, "id": 0, "issuer": { "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": { "createdAt": "<string>", "deletedAt": "<string>", "id": 0, "issuer": {}, "issuerID": 0, "name": "<string>", "permissions": [ {} ], "updatedAt": "<string>", "users": [ {} ] }, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "realName": "<string>", "updatedAt": "<string>" }, "issuerId": 0, "lockParameters": true, "loop": true, "mode": "<string>", "name": "<string>", "parameters": [ { "allowedValues": [ "<string>" ], "applicationId": 0, "defaultValue": "<string>", "description": "<string>", "extractLength": 0, "extractOffset": 0, "extractSessionIdx": 0, "extractStepIdx": 0, "id": 0, "max": "<string>", "min": "<string>", "name": "<string>", "prefix": "<string>", "side": "<string>", "source": "<string>", "start": "<string>", "step": "<string>", "stepsMappings": [ { "length": 0, "offset": 0, "sessionIdx": 0, "side": "<string>", "stepIdx": 0 } ], "type": "<string>" } ], "pcapFileId": 0, "pcapMd5": "<string>", "sessions": [ { "applicationId": 0, "bytesC2S": 0, "bytesS2C": 0, "dstIp": "<string>", "dstPort": 0, "exchangeCount": 0, "id": 0, "name": "<string>", "protocol": "<string>", "sessionIndex": 0, "srcIp": "<string>", "srcPort": 0 } ], "tags": "<string>", "timingGapThresholdMs": 0, "trimmedPcapFileId": 0, "updatedAt": "<string>" } ] }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }